#
# spec file for package libcdatetime
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname	libcdatetime1
Name:           libcdatetime
Version:        20240414
Release:        1.3
Summary:        Library for C date and time functions
License:        LGPL-3.0-or-later
Group:          Productivity/File utilities
URL:            https://github.com/libyal/libcdatetime
Source:         https://github.com/libyal/libcdatetime/releases/download/%version/libcdatetime-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libcdatetime/releases/download/%version/libcdatetime-alpha-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
Library for C date and time functions.

Part of the libyal library family.

%package -n %lname
Summary:        Library for C date and time functions
Group:          System/Libraries

%description -n %lname
Library for C date and time functions.

libcdatetime is a low level member of the libyal library family.

%package devel
Summary:        Development files for libcdatetime, a PFF/OFF file format library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libcdatetime is a library C date and time functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcdatetime.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
find %buildroot -type f -name "*.la" -delete -print

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING*
%_libdir/libcdatetime.so.*

%files devel
%_includedir/libcdatetime.h
%_includedir/libcdatetime/
%_libdir/libcdatetime.so
%_libdir/pkgconfig/libcdatetime.pc
%_mandir/man3/libcdatetime.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Thu Mar 14 2024 Jan Engelhardt <jengelh@inai.de>
- Specfile modernization
* Thu Jan  4 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240104
  * No changelog was provided
* Sun Jan 15 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 202301015
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Tue Jan  4 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220104
  * No changelog was provided
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210512 (40e98e83)
  * No changelog was provided
- Add system-libs.patch
* Sun Dec 27 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200510
  * code clean up
* Sat Apr 13 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20181004
  * Worked on suppressing fallthrough warnings
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170609
  * applied 2017 updates
  * worked on tests
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Fri Aug 29 2014 Greg.Freemyer@gmail.com
- initial package (v0~20140105)
